## NUM2STR Convert Numbers To Strings

Section: Array Generation and Manipulations

### Usage

Converts an array into its string representation. The general syntax for this function is

       s = num2str(X)

where `s` is a string (or string matrix) and `X` is an array. By default, the `num2str` function uses 4 digits of precision and an exponent if required. If you want more digits of precision, you can specify the precition via the form

       s = num2str(X, precision)

where `precision` is the number of digits to include in the string representation. For more control over the format of the output, you can also specify a format specifier (see `printf` for more details).

       s = num2str(X, format)

where `format` is the specifier string.